/* Array.h: Interface for a resizable array. */

#pragma interface

#ifndef ARRAY_H
#define ARRAY_H

template<class T, int MIN_POWER, int DELTA> class Array {
    T *ptrs;
    int size;

  public:
    Array(int anticipated = 0);
    ~Array();
    void ensure(int i);
    T& operator [](int ind) { return ptrs[ind]; }
    T* base() { return ptrs; }
};

#endif

