/* error.h: Declarations for error handling routines. */

#ifndef ERROR_H
#define ERROR_H

#include "String.h"

extern "C" {
#include <stdarg.h>
}

void error_init(String progname);
void crash(String fmt, ...);
void die(String fmt, ...);
void error(String fmt, ...);
void warn(String fmt, ...);
void log(String fmt, ...);

#endif

