/* Spool_test.cc: Test driver for news spool. */

#include "threads.h"
#include "util.h"
#include "error.h"

#include "Spool.h"
#include "Config.h"

extern "C" {
#include <stdio.h>
}

int main(int argc, char **argv)
{
    util_init();
    error_init(argv[0]);
    config = new Config("config1.input");
    spool = new Spool(config);
    delete spool;
    return 0;
}

